<div align="center">
  <a href="https://github.com/webpack/webpack">
    <img width="200" height="200"
      src="https://webpack.js.org/assets/icon-square-big.svg">
  </a>
</div>

# json2js extend copy-webpack-plugin

基于copy-webpack-plugin进行修改，支持json文件转js文件，所有配置项沿用copy-webpack-plugin

更新时请修改`package.json`中的版本号，保证安装过程中可以安装最新的包

## Getting Started

To begin, you'll need to install `copy-webpack-plugin`:

first, you need to add `dependencies` like this:

```json
{
  "dependencies": {
    "@noxfed/json2js": "git+http://10.8.1.200:88/NoxFED/Json2Js.git"
  }
}

```

second, use npm install all packages

```console
$ npm install
```

Then add the loader to your `webpack` config. For example:

**webpack.config.js**

```js
const Json2js = require('@noxfed/json2js');

module.exports = {
  plugins: [
    new Json2js([
        {
          from: 'source', 
          to: 'dest'
        },
    ], {
      mount: 'window._LANG=',
    })
  ]
};
```
### Options
copy-webpack-plugin原有属性不发生变化，新增加`mount`属性作为JSON文件中数据挂载位置，默认为`window._LANG=`

|  Name   |   Type   |     Default     | Description            |
| :-----: | :------: | :-------------: | :--------------------- |
| `mount` | `String` | `window._LANG=` | JSON文件中数据挂载位置 |

### More

[copy-webpack-plugin](https://github.com/webpack-contrib/copy-webpack-plugin)

